MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028971Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-03 09:492017-10-21 20:40
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusfeedbackResolutionreopened 
PlatformLinuxOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.2.1Fixed in Version 
Summary0028971: Configuration - fix compatibility with glibc 2.26+ due to xlocale.h removal
Descriptionglibc 2.26 (GNU C Library) changelog entry:
https://sourceware.org/git/?p=glibc.git;a=blob_plain;f=NEWS;hb=HEAD [^]
* The nonstandard header <xlocale.h> has been removed. Most programs should use <locale.h> 
instead.

indicates that OCCT will have compilation issues with it due to including xlocale.h within Standard_CLocaleSentry.hxx:
#include <locale.h>

#ifndef HAVE_XLOCALE_H
  //! "xlocale.h" available in Mac OS X and glibc (Linux) for a long time as an extension
  
//! and become part of POSIX since '2008.
  //! Notice that this is impossible to test (_POSIX_C_SOURCE >= 200809L)
  //! since POSIX didn't declared such identifier.
  #if defined(__APPLE__)
    #define HAVE_XLOCALE_H
  #endif

  //! We check _GNU_SOURCE for glibc extensions here and it is always defined by g++ compiler.
  #if defined(_GNU_SOURCE) && !defined(__ANDROID__)
    #define HAVE_XLOCALE_H
  #endif
#endif // ifndef HAVE_LOCALE_H

#ifdef HAVE_XLOCALE_H
  #include <xlocale.h>
#endif


It looks like locale_t is still there, but header xlocale.h was removed (locale.h is enough, which is already included) - so that "#include <xlocale.h>" should be protected by glibc version check - but actual issues should be checked.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0022898closedabv Community IGES import fails in german environment 

-  Notes
(0069078)
kgv (developer)
2017-08-03 09:52

Dear bugmaster,

could you please check how we can verify compilation with glibc 2.6 within our environment?

There is no need to make modifications to our testing cluster, just one time operation to check the issue and the patch (we will get glibc 2.6+ automatically with next versions of Linux distributives anyway).
(0069169)
git (administrator)
2017-08-07 17:09

Branch CR28971 has been created by kgv.

SHA-1: c376290468b67b2f62442fe79c229e8473f78cac


Detailed log of new commits:

Author: kgv
Date: Mon Aug 7 17:09:11 2017 +0300

    0028971: Configuration - fix compatibility with glibc 2.26+ due to xlocale.h removal
(0069175)
kgv (developer)
2017-08-07 17:52

Please take the patch.
http://jenkins-test-10.nnov.opencascade.com/view/CR28971-master-KGV/view/OCCT%20compile/ [^]
(0069177)
bugmaster (administrator)
2017-08-07 18:07

Combination -
OCCT branch : master
Products branch : CR28971 : SHA1 - c376290468b67b2f62442fe79c229e8473f78cac
was compiled on Linux, MacOS and Windows platforms.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)
(0069647)
git (administrator)
2017-08-18 17:00

Branch CR28971 has been deleted by kgv.

SHA-1: c376290468b67b2f62442fe79c229e8473f78cac

- Related Changesets
occt: master e2c4ce48
Timestamp: 2017-08-07 14:09:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028971: Configuration - fix compatibility with glibc 2.26+ due to xlocale.h removal
mod - src/Standard/Standard_CLocaleSentry.cxx Diff ] File ]
mod - src/Standard/Standard_CLocaleSentry.hxx Diff ] File ]
mod - src/Standard/Standard_CString.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-03 09:49 kgv New Issue
2017-08-03 09:49 kgv Assigned To => kgv
2017-08-03 09:52 kgv Note Added: 0069078
2017-08-03 09:52 kgv Assigned To kgv => bugmaster
2017-08-03 09:52 kgv Status new => feedback
2017-08-03 09:52 kgv Description Updated View Revisions
2017-08-03 09:54 kgv Relationship added related to 0024444
2017-08-03 09:54 kgv Relationship added child of 0022898
2017-08-03 09:55 kgv Product Version 7.1.0 => 6.6.0
2017-08-07 17:09 git Note Added: 0069169
2017-08-07 17:10 kgv Assigned To bugmaster => kgv
2017-08-07 17:10 kgv Status feedback => assigned
2017-08-07 17:52 kgv Note Added: 0069175
2017-08-07 17:52 kgv Assigned To kgv => bugmaster
2017-08-07 17:52 kgv Status assigned => resolved
2017-08-07 17:52 kgv Status resolved => reviewed
2017-08-07 18:07 bugmaster Note Added: 0069177
2017-08-07 18:07 bugmaster Status reviewed => tested
2017-08-07 18:46 bugmaster Test case number => Not required
2017-08-11 07:52 bugmaster Changeset attached => occt master e2c4ce48
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069647
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed
2017-10-20 16:08 kgv Relationship added parent of 0029251
2017-10-21 20:40 kgv Assigned To bugmaster => kgv
2017-10-21 20:40 kgv Status closed => feedback
2017-10-21 20:40 kgv Resolution fixed => reopened
2017-10-21 20:40 kgv Fixed in Version 7.2.0 =>
2017-10-21 20:40 kgv Target Version 7.2.0 => 7.2.1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker